/* 00bsp.cdf - BSP-specific component descriptor file */

/* Copyright 1984-2001 Wind River Systems, Inc. */

/*
modification history
--------------------
01a,26nov01,zl    written.
*/

/*
DESCRIPTION

This file contains BSP-specific changes to the generic component
descriptor files.
*/


Component INCLUDE_SH7751_VIRTUAL_PCI_MEMIO {
        NAME            Virtual non-prefetch PCI memory
        SYNOPSIS        Include non-prefetch Virtual PCI memory support
        _CHILDREN       FOLDER_BUSES
	REQUIRES        SELECT_MMU
}

Component INCLUDE_SH7751_VIRTUAL_PCI_IO {
        NAME            Virtual PCI I/O
        SYNOPSIS        Include Virtual PCI I/O support
        _CHILDREN       FOLDER_BUSES
	REQUIRES        SELECT_MMU			\
			INCLUDE_SH7751_VIRTUAL_PCI_MEMIO
}






