#ifndef _FILE_SYSTEM_H
#define _FILE_SYSTEM_H

#include <inet\datatypes.h>

INT8 FindFile(UINT32 name_str);
UINT16 GetFileSize( UINT8 fat_index );
UINT16 ReadFile(UINT8 fat_index, UINT16 offset, UINT8 * buffer, UINT16 bytes2read);

#define MAX_FILES 10
#define MAX_FILES_SECTORS 6
#define MAX_FILENAME 15

struct FILE_ENTRY
{
	char name[MAX_FILENAME+1];				/* NULL termintated string for filename */
	UINT16 size;				/* Total file size */
	UINT32 sector_data[MAX_FILES_SECTORS];			/* Data sectors pointers) */
	UINT16 sector_data_size[MAX_FILES_SECTORS];	/* Length of each section */

};

typedef struct FILE_ENTRY file_entry;

#endif

