/************************************************/
/* Created by Renesas Technology America, Inc. */
/* Makers of M16C, H8, SH                       */
/* http://www.renesas.com                       */
/************************************************/

#include <inet/system.h>

void sendchar(UINT16 position, UINT8 character);

void sendchar(UINT16 position, UINT8 character) {

	int i = 100;
	while(i--);
}


void tpcc_demo_init() {

}


/* System Level setup */
void sys_init(void) {

	int i = 0;

	/* Setup system for external memory accesses to the Ethernet chip */
	prcr = 3;		// Disable writting to the processor mode reg
	pm0 = 0x01;		// Memory expansion mode
	pm1 = 0x09;		// CS2 will start at address 0x10000
//	csr = 0x04;		// Enable CS2(Ethernet) pin with waits
//	cse = 0x20;		// 3 wait states on CS2
	csr = 0x05;		// Enable CS0(SRAM) & CS2(Ethernet) pin with waits
	cse = 0x22;		// 3 wait states on CS0 & CS2
	
	/* User Timer A0 as the system clock */
	ta0mr = 0x40;		// timer mode, clock source = f8
	ta0 = 24000000 / 8 * 0.010 - 1;			// 10 ms @ 24MHz/8
	ta0ic = 4;			// enable interrupts
	ta0s = 1;		/* Start Timer A0 */

	/* User Timer A1 to poll buttons */
	ta1mr = 0x80;		// timer mode, clock source = f32
	ta1 = 24000000 / 32 * 0.050 - 1;		// 50 ms @ 24MHz/32
	ta1ic = 4;			// enable interrupts
	ta1s = 1;		/* Start Timer A1 */



	*((_far int *)(0x30000)) = 0x55AA;
	i = *((_far int *)(0x30000));
	*((_far char *)(0x30002)) = 0x11;
	*((_far int *)(0x30000)) = 0x55AA;
	*((_far int *)(0x30000)) = 0x55AA;

	/* Init AD to read on-board pot */
		/* Initilize AD for AN0 */
	adcon0 = 0x10;        /* Use AD0 and REPEAT MODE */
	adcon1 = 0x20;        /* Use VCUT and 8-bit sampling */
	adcon2 = 0;

	/* Init LCD Display */
	InitDisplay();

}
