/* ---------------------------------------------------------------------------
          Copyright (c) 2004-2005 Micrel, Inc.  All rights reserved.
   ---------------------------------------------------------------------------

   ks_ver.h - KS8842 PCI Enhanced Network Driver Version file

   ---------------------------------------------------------------------------
    Author  Date      Version  Description
    PCD     06/28/06  1.0.4    (1) Enable Switch Ports broacast storm protection at 10% percent rate.
    THa     06/29/06           (2) Add 1912 bytes large frame support.
    THa     06/07/06           (3) Hardware interrupts may not be disabled
                                   immediately after the register is written to.
    THa     06/02/06           (4) Define HardwareDisableInterruptSync.
    THa     06/02/06           (5) Add NO_STATS conditional.
    THa     04/06/06           (6) Implement AT93C46 EEPROM access functions.
    PCD     04/28/06           (7) Fix "didn't enable INT_PHY interrupt again in the ISR".
                               (8).Fix driver may miss to free transmit buffer at burst transmit\receive.
    PCD     03/16/06  1.0.0    (2) Took out workaround (disable DMA flow control when link is half duplex mode)
                                   for "KS8841/2/P can't release backpressue". A4 device fix this problem.
                               (3) Add a definition "FIBER_100FX" (user has to define it) for KSZ8861/2 with 
                                   100BT FX fiber can't do auto-negotiation, we set 100BT/full duplex force mode 
                                   for this platform.
    THa     02/28/06           (4) Do not use HW_WRITE_BYTE because of limitation of
                                   some hardware platforms.
    THa     02/23/06           (5) Removed KS884X_HW conditional.
    PCD     01/20/06  0.2.1    (1) Enable (a) Aggressive back off algorithm, 
                                          (b) No excessive collision drop.
                                          (c) Flow control. 
										  (d) Back pressure  
    PCD     08/22/05  0.2.0    (1) Added Wake-ON-LAN API.
                               (2) INCLUDE_DOSFS for DOS file system to create flash device to dosFS.
                               (3) Create a custom make rule to build vxWorks compressed file - vxWorks.Z. 
                               (4) Download the boot ROM - bootrom.bin from network TFTP, and saved to flash 
                               (5) Download the vxWorks.Z from network TFTP, and saved to flash 
                               (6) System booted vxWorks.Z from flash.
    PCD     06/24/05  0.1.2    First release. 
                               (1). CLI read\write device registers works. 
                               (2). Driver Initialization device works .
                               (3). Driver Interrupt Server Routine works.
                               (4). Driver transmit packets to device port works.
                               (5). Driver receive packsts from device works.
    PCD     07/01/04           Create for Micrel KS8841 or KS8842 PCI Bus Ethernet driver.
   ---------------------------------------------------------------------------
*/

const char   ks884xEnd_ver[] = " Version: 1.0.4";
